Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkApproximatingSubdivisionFilter Class Reference

`#include <vtkApproximatingSubdivisionFilter.h>`

Inheritance diagram for vtkApproximatingSubdivisionFilter:

[legend]
Collaboration diagram for vtkApproximatingSubdivisionFilter:

[legend]
List of all members.

## Detailed Description

generate a subdivision surface using an Approximating Scheme

Date:
  2002/11/03 15:57:42

Revision:
  1.15

vtkApproximatingSubdivisionFilter is an abstract class that defines the protocol for Approximating subdivision surface filters.

Thanks:
  This work was supported by PHS Research Grant No. 1 P41 RR13218-01 from the National Center for Research Resources.

Created by:
  - Lorensen, Bill

CVS contributions (if > 5%):
  - Lorensen, Bill (63%)
  - Henderson, Amy (9%)
  - Law, Charles (8%)
  - Cedilnik, Andy (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkApproximatingSubdivisionFilter.h)`
  - .`cxx` (`/Graphics/vtkApproximatingSubdivisionFilter.cxx)`

Definition at line 55 of file vtkApproximatingSubdivisionFilter.h.

## Public Types
typedef vtkPolyDataToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetNumberOfSubdivisions (int)
virtual int | GetNumberOfSubdivisions ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkApproximatingSubdivisionFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkApproximatingSubdivisionFilter ()
| ~vtkApproximatingSubdivisionFilter ()
void | Execute ()
virtual void | GenerateSubdivisionPoints (vtkPolyData *inputDS, vtkIntArray *edgeData, vtkPoints *outputPts, vtkPointData *outputPD)=0
void | GenerateSubdivisionCells (vtkPolyData *inputDS, vtkIntArray *edgeData, vtkCellArray *outputPolys, vtkCellData *outputCD)
int | FindEdge (vtkPolyData *mesh, vtkIdType cellId, vtkIdType p1, vtkIdType p2, vtkIntArray *edgeData, vtkIdList *cellIds)
vtkIdType | InterpolatePosition (vtkPoints *inputPts, vtkPoints *outputPts, vtkIdList *stencil, float *weights)
## Protected Attributes
int | NumberOfSubdivisions

## Member Typedef Documentation

typedef vtkPolyDataToPolyDataFilter vtkApproximatingSubdivisionFilter::Superclass

| Reimplemented from vtkPolyDataToPolyDataFilter. Reimplemented in vtkLoopSubdivisionFilter. Definition at line 58 of file vtkApproximatingSubdivisionFilter.h.

## Constructor & Destructor Documentation

vtkApproximatingSubdivisionFilter::vtkApproximatingSubdivisionFilter | ( |  | ) | `[protected]`

vtkApproximatingSubdivisionFilter::~vtkApproximatingSubdivisionFilter | ( |  | ) | `[inline, protected]`

| Definition at line 69 of file vtkApproximatingSubdivisionFilter.h.

## Member Function Documentation

virtual const char* vtkApproximatingSubdivisionFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataToPolyDataFilter. Reimplemented in vtkLoopSubdivisionFilter.

int vtkApproximatingSubdivisionFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter. Reimplemented in vtkLoopSubdivisionFilter.

virtual int vtkApproximatingSubdivisionFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataToPolyDataFilter. Reimplemented in vtkLoopSubdivisionFilter.

vtkApproximatingSubdivisionFilter* vtkApproximatingSubdivisionFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataToPolyDataFilter. Reimplemented in vtkLoopSubdivisionFilter.

void vtkApproximatingSubdivisionFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataToPolyDataFilter.

virtual void vtkApproximatingSubdivisionFilter::SetNumberOfSubdivisions | ( | int |  | ) | `[virtual]`

| Set/get the number of subdivisions.

virtual int vtkApproximatingSubdivisionFilter::GetNumberOfSubdivisions | ( |  | ) | `[virtual]`

| Set/get the number of subdivisions.

void vtkApproximatingSubdivisionFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

virtual void vtkApproximatingSubdivisionFilter::GenerateSubdivisionPoints | ( | vtkPolyData * | inputDS,
|  | vtkIntArray * | edgeData,
|  | vtkPoints * | outputPts,
|  | vtkPointData * | outputPD
| ) | `[protected, pure virtual]`

| Implemented in vtkLoopSubdivisionFilter.

void vtkApproximatingSubdivisionFilter::GenerateSubdivisionCells | ( | vtkPolyData * | inputDS,
|  | vtkIntArray * | edgeData,
|  | vtkCellArray * | outputPolys,
|  | vtkCellData * | outputCD
| ) | `[protected]`

int vtkApproximatingSubdivisionFilter::FindEdge | ( | vtkPolyData * | mesh,
|  | vtkIdType | cellId,
|  | vtkIdType | p1,
|  | vtkIdType | p2,
|  | vtkIntArray * | edgeData,
|  | vtkIdList * | cellIds
| ) | `[protected]`

vtkIdType vtkApproximatingSubdivisionFilter::InterpolatePosition | ( | vtkPoints * | inputPts,
|  | vtkPoints * | outputPts,
|  | vtkIdList * | stencil,
|  | float * | weights
| ) | `[protected]`

## Member Data Documentation

int vtkApproximatingSubdivisionFilter::NumberOfSubdivisions`[protected]`

| Definition at line 83 of file vtkApproximatingSubdivisionFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkApproximatingSubdivisionFilter.h